Package relaxngcc.grammar

# Class EmptyPattern

java.lang.Object
relaxngcc.grammar.Pattern
relaxngcc.grammar.EmptyPattern

public class EmptyPattern extends Pattern

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Constructor Summary

Constructors
Constructor
Description
`EmptyPattern(ParserRuntime rt)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`apply(PatternFunction f)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmptyPattern

public EmptyPattern(ParserRuntime rt)

## Method Details

### apply

public Object apply(PatternFunction f)

Specified by:
  `apply` in class `Pattern`